package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * SwitchSummary
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class SwitchSummary   {
  @JsonProperty("clients")
  private Integer clients;

  @JsonProperty("portUtilization")
  private Integer portUtilization;

  @JsonProperty("connectedSwitchNum")
  private Integer connectedSwitchNum;

  @JsonProperty("totalTraffic")
  private Long totalTraffic;

  public SwitchSummary clients(Integer clients) {
    this.clients = clients;
    return this;
  }

  /**
   * Number of wired clients
   * @return clients
  */
  @ApiModelProperty(value = "Number of wired clients")


  public Integer getClients() {
    return clients;
  }

  public void setClients(Integer clients) {
    this.clients = clients;
  }

  public SwitchSummary portUtilization(Integer portUtilization) {
    this.portUtilization = portUtilization;
    return this;
  }

  /**
   * Port occupancy rate (integer)
   * @return portUtilization
  */
  @ApiModelProperty(value = "Port occupancy rate (integer)")


  public Integer getPortUtilization() {
    return portUtilization;
  }

  public void setPortUtilization(Integer portUtilization) {
    this.portUtilization = portUtilization;
  }

  public SwitchSummary connectedSwitchNum(Integer connectedSwitchNum) {
    this.connectedSwitchNum = connectedSwitchNum;
    return this;
  }

  /**
   * Number of online switches
   * @return connectedSwitchNum
  */
  @ApiModelProperty(value = "Number of online switches")


  public Integer getConnectedSwitchNum() {
    return connectedSwitchNum;
  }

  public void setConnectedSwitchNum(Integer connectedSwitchNum) {
    this.connectedSwitchNum = connectedSwitchNum;
  }

  public SwitchSummary totalTraffic(Long totalTraffic) {
    this.totalTraffic = totalTraffic;
    return this;
  }

  /**
   * Upstream and downstream traffic and the unit (Byte) of online switches
   * @return totalTraffic
  */
  @ApiModelProperty(value = "Upstream and downstream traffic and the unit (Byte) of online switches")


  public Long getTotalTraffic() {
    return totalTraffic;
  }

  public void setTotalTraffic(Long totalTraffic) {
    this.totalTraffic = totalTraffic;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SwitchSummary switchSummary = (SwitchSummary) o;
    return Objects.equals(this.clients, switchSummary.clients) &&
        Objects.equals(this.portUtilization, switchSummary.portUtilization) &&
        Objects.equals(this.connectedSwitchNum, switchSummary.connectedSwitchNum) &&
        Objects.equals(this.totalTraffic, switchSummary.totalTraffic);
  }

  @Override
  public int hashCode() {
    return Objects.hash(clients, portUtilization, connectedSwitchNum, totalTraffic);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SwitchSummary {\n");
    
    sb.append("    clients: ").append(toIndentedString(clients)).append("\n");
    sb.append("    portUtilization: ").append(toIndentedString(portUtilization)).append("\n");
    sb.append("    connectedSwitchNum: ").append(toIndentedString(connectedSwitchNum)).append("\n");
    sb.append("    totalTraffic: ").append(toIndentedString(totalTraffic)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

